Bug 50106 - Fix several mbean descriptors
Fix several mbean descriptors
Status: RESOLVED FIXED
Product: Tomcat 7
Classification: Unclassified
Component: Catalina
unspecified
All All
: P2 enhancement (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2010-10-17 21:00 UTC by Eiji Takahashi
Modified: 2010-11-24 15:55 UTC (History)
0 users



Attachments
patch for mbeans-descriptors.xml (19.05 KB, patch)
2010-10-18 00:20 UTC, Eiji Takahashi
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eiji Takahashi 2010-10-17 21:00:41 UTC
Fix several mbean descriptors: 
 - Add writeable="false" to Lifecycle stateName(setter is not provided for stateName).
 - Remove obsolete bufferSize from CoyoteConnector.
 - Add packetSize to CoyoteConnector.
Comment 1 Eiji Takahashi 2010-10-18 00:20:22 UTC
Created attachment 26180 [details]
patch for mbeans-descriptors.xml

Add three fixes:
- Add writeable="false" to JspServlet jspCount.
- Change type from long to int for StandardWrapper maxInstances.
- Change type from java.lang.String to boolean for StandardContext distributable.

Best regards.
Comment 2 Mark Thomas 2010-11-24 15:55:19 UTC
Many thanks for the patch. It has been applied to 7.0.x and will be included in 7.0.6 onwards.